Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Oct 2009 00:45:07 +0300

>> Hi; I haven't been following this, but after a quick skim of the
>> (long) thread, I think neither the current nor the proposed behaviour
>> is ideal (it seems to be a choice between getting the height wrong or
>> the width wrong), but I prefer the current one. I'd rather leave it as
>> is for now, and look to improve it after 23.1.
>
> I believe the behaviour of the calendar is now fixed in this regard.
> I don't know if there is anything else left to do for this lengthy
> bug, or if it can be closed now.

Thank you.  I wonder how did you test your change.  In emacs -Q
I see a strange window configuration after `M-x calendar RET'
in a single wide window:

    +-------------------------+        +------------+------------+
    |                         |        |            |            |
    |                         |        |            |            |
    |                         |        |            |            |
    |                         |        |            |            |
    |                         |        |            |            |
    |                         |        |            |            |
    |                         |  ===>  |            |            |
    |                         |        |            |            |
    |                         |        |            | *Messages* |
    |                         |        |            +------------+
    |                         |        |            |            |
    | *scratch*               |        | *scratch*  | *Calendar* |
    +-------------------------+        +------------+------------+

I believe it was supposed to do rather:

    +-------------------------+        +-------------------------+
    |                         |        |                         |
    |                         |        |                         |
    |                         |        |                         |
    |                         |        |                         |
    |                         |        |                         |
    |                         |        |                         |
    |                         |  ===>  |                         |
    |                         |        |                         |
    |                         |        | *scratch*               |
    |                         |        +-------------------------+
    |                         |        |                         |
    | *scratch*               |        | *Calendar*              |
    +-------------------------+        +-------------------------+

i.e. the calendar to always appear directly below from the current window.

-- 
Juri Linkov
http://www.jurta.org/emacs/